<button
  type="button"
  [class]="'button-component ' + theme"
  [ngClass]="{ loading: isLoading, disabled: disabled }"
  (click)="onButtonClick($event)"
  id="qa-button-component"
  [disabled]="disabled"
  type="button"
>
  <span [ngClass]="['icon', iconClass]" *ngIf="iconClass" id="qa-icon"></span>
  <img
    class="image"
    [src]="iconImage"
    alt=""
    *ngIf="!isLoading && iconImage"
    id="qa-image"
  />
  <span class="text" id="qa-text">{{ isLoading ? loadingText : btnText }}</span>
</button>
